Retrieve

This endpoint allows you to retrieve information about an existing Webhook.

🚧

Attention points:

  • To consume the route it is necessary to pass the webhook code in the body where it is available during its creation.
  • If you want to list all webhooks linked to the project, you don't need to pass anything in the body of the request.

Response

Http CodeReturn CodeMessage
200200-01Success.
400400-01Something unexpected happened.
400400-02Invalid hash.
401401-05Unauthorized or token invalid
429429-01Too many requests

Response Parameters

ParameterFormatDescription
returnBooleanIndicates if the request was successful.
return_codeStringReturn code of the request.
messageStringReturn message of the request.
data[i].activeStringIndicates if the webhook is active (Y/N).
data[i].descriptionStringDescription of the webhook.
data[i].enabled_eventsStringNumber of enabled events for the webhook.
data[i].headersObjectHTTP headers for the webhook.
data[i].codeStringUnique code associated with the webhook.
data[i].created_atStringDate and time when the webhook was created.
data[i].updated_atStringDate and time when the webhook was last updated.
data[i].urlStringURL to which the webhook sends payloads.

Request Parameters

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!